In japanese language settings, does not affect font renderer

Bug #139738 reported by Fumihito YOSHIDA on 2007-09-15
2
Affects Status Importance Assigned to Milestone
language-selector (Ubuntu)
Undecided
Michael Vogt

Bug Description

Binary package hint: language-selector

[Problem]
When set Default Language=Japanese at language-selector,
"Font Rendering"(at gnome-font-properties, 'Best shapes',
'Best contrast' , 'Subpixel smoothing(LCDs)') settings
does not affect font rendering styles.

It become from /usr/share/language-selector/fontconfig/ja_JP configration.
Please patch it.

[Patch]
rcsdiff -u -r1.1 -r1.2 /usr/share/language-selector/fontconfig/ja_JP
===================================================================
RCS file: /usr/share/language-selector/fontconfig/RCS/ja_JP,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- /usr/share/language-selector/fontconfig/ja_JP 2007/09/15 04:33:04 1.1
+++ /usr/share/language-selector/fontconfig/ja_JP 2007/09/15 04:57:15 1.2
@@ -10,7 +10,7 @@
                        <bool>true</bool>
                </edit>
                <edit name="hintstyle" mode="assign">
- <const>hintnone</const>
+ <const>hintfull</const>
                </edit>
        </match>
------------------------------------------------------------

[How to reproduce]

1)
execute language-selector:
 in menu: [System](システム)
 -> [Administration](システム管理)
 -> [Language Support](言語サポート)

2) set Default Launguage : "Japanese"

3) Log out & Log in

4)
execute font-properties:
 in menu [System](システム)
 -> [Preferences](設定)
  -> [Font](フォント)

5)
Select "Font Rendering" to 'Best shapes','Best contrast' ,
'Subpixel smoothing(LCDs)'. They could not work any effects.

Michael Vogt (mvo) on 2007-09-27
Changed in language-selector:
assignee: nobody → mvo
status: New → Fix Committed
Michael Vogt (mvo) wrote :

language-selector (0.2.7) gutsy; urgency=low

  * fontconfig/zh_CN:
    - updated based on the input of ZhengPeng Hou and
      Arne Goetje (thanks!)
  * fontconfig/ja_JP:
    - fix hinting, thanks to Fumihito YOSHIDA
      (LP: #139738)
  * LanguageSelector/LocaleInfo.py:
    - fix crash in locale output parsing (LP: #139018)
  * LanguageSelector/gtk/GtkLanguageSelector.py:
    - do not fail if the system default language is unknown
      (LP: #128168)
    - gray out complex charackter support if im-switch is
      not available (LP: #111311)
    - set reboot required flag when new packages got installed
      (LP: #127356)
  * LanguageSelector/qt/QtLanguageSelector.py:
    - do not crash on broken cache (LP: #108238)
    - gray out complex charackter support if im-switch is
      not available (LP: #111311)

 -- Michael Vogt <email address hidden> Thu, 27 Sep 2007 12:47:36 +0200

Changed in language-selector:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers